Change log for twisted package in Ubuntu

175 of 102 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-12-19
Deleted in disco-proposed (Reason: moved to release)
twisted (18.9.0-3) unstable; urgency=medium

  * Don't fix package substvars in binary-arch:, they did not depend on hamcrest

 -- Balint Reczey <email address hidden>  Fri, 07 Dec 2018 11:23:30 +0100

Available diffs

Superseded in disco-proposed on 2018-12-07
twisted (18.9.0-2) unstable; urgency=medium

  * Don't generate dependency on python{,3}-hamcrest, it is just a test dependency
  * Demote Python serial and pam modules from Recommends: to Suggests:
    (Closes: #599665)

 -- Balint Reczey <email address hidden>  Thu, 06 Dec 2018 14:52:10 +0100

Available diffs

Superseded in disco-proposed on 2018-12-06
twisted (18.9.0-1) unstable; urgency=medium

  * New upstream version 18.9.0
  * Rebase patches
  * Update patches against tests

 -- Balint Reczey <email address hidden>  Wed, 05 Dec 2018 17:18:59 +0100
Superseded in disco-proposed on 2018-12-05
twisted (18.7.0-3build1) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <email address hidden>  Sat, 03 Nov 2018 12:54:28 +0100
Superseded in disco-proposed on 2018-11-03
Deleted in cosmic-proposed on 2018-11-04 (Reason: Moved to disco-proposed)
twisted (18.7.0-3) unstable; urgency=medium

  * Team upload.

  [ nyov ]
  * Update requirement for attr version.  Closes: #910056

  [ Mattia Rizzolo ]
  * Annotate python-dbg dependency with :any (from the m-a hinter).

 -- Mattia Rizzolo <email address hidden>  Tue, 02 Oct 2018 16:40:06 +0200

Available diffs

Superseded in disco-release on 2018-12-19
Published in cosmic-release on 2018-09-04
Deleted in cosmic-proposed (Reason: moved to release)
twisted (18.7.0-2) unstable; urgency=medium

  * python{,3}-hamcrest is only a test dependency, not a runtime dependency.

 -- Matthias Klose <email address hidden>  Tue, 14 Aug 2018 21:15:10 +0200

Available diffs

Superseded in cosmic-proposed on 2018-08-14
twisted (18.7.0-1) unstable; urgency=medium

  * New upstream version.
  * Remove patches applied upstream.
  * Stop applying the fix for #772629, upstream ticket #7730.

 -- Matthias Klose <email address hidden>  Tue, 14 Aug 2018 14:46:11 +0200

Available diffs

Superseded in cosmic-proposed on 2018-08-14
twisted (18.4.0-3) unstable; urgency=medium

  * Team upload.
  * Declare Breaks against h2 before 3.0.0

 -- Andrej Shadura <email address hidden>  Mon, 13 Aug 2018 15:44:16 +0200

Available diffs

Superseded in cosmic-proposed on 2018-08-13
twisted (18.4.0-2) unstable; urgency=medium

   * Fixup async issues and compatibility with Python 3.7 (Gianfranco
     Costamagna). Closes: #902766.
   * Drop the first chunk of the 0011-fix-broken-sslverify-tests patch,
     works on Debian only.

 -- Matthias Klose <email address hidden>  Tue, 03 Jul 2018 05:50:32 +0200
Superseded in cosmic-proposed on 2018-07-04
twisted (18.4.0-1ubuntu1) cosmic; urgency=medium

  * debian/patches:
    - 90096a06babb2f8b282f041efffafbde8c479f96.patch
    - 7c38315469fe5b61b7d81b71bcea5969f5fe2d5c.patch
    - c0e983e96e430c453e2824ac46b2f3929f5bf312.patch
    - 9736e6823d0deaf3e7ce4c9d0a8b17ea49404cf7.patch
    - 966.patch:
    - fixup async issues and compatibility with new python3.7

 -- Gianfranco Costamagna <email address hidden>  Fri, 29 Jun 2018 15:28:51 +0200
Superseded in cosmic-proposed on 2018-06-29
twisted (18.4.0-1build1) cosmic; urgency=medium

  * No-change rebuild to add python3.7 support.

 -- Matthias Klose <email address hidden>  Thu, 28 Jun 2018 09:27:50 +0000
Superseded in cosmic-proposed on 2018-06-28
twisted (18.4.0-1) unstable; urgency=medium

  * New upstream version 18.4.0
  * Add .travis.yml for CI on Travis (will need to be moved to Salsa)
  * Remove myself from Uploaders

 -- Free Ekanayaka <email address hidden>  Sun, 06 May 2018 09:19:29 +0000
Superseded in cosmic-release on 2018-09-04
Published in bionic-release on 2018-04-23
Deleted in bionic-proposed (Reason: moved to release)
twisted (17.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
    (closes: #687218)
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Colin Watson ]
  * Fix conch MSG_DEBUG parsing on Python 2 (closes: #895374).
  * Fix incorrect Homepage field (closes: #866642).

 -- Colin Watson <email address hidden>  Fri, 20 Apr 2018 23:55:26 +0100

Available diffs

Published in xenial-updates on 2018-03-05
Published in xenial-security on 2018-03-05
twisted (16.0.0-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: HTTProxy issue
    - debian/patches/CVE-2016-1000111.patch: fix implementation
      in twisted/web/twcgi.py and add some test in
      twisted/web/test/test_cgi.py.
    - CVE-2016-1000111

 -- <email address hidden> (Leonidas S. Barbosa)  Thu, 01 Mar 2018 15:19:01 -0300
Published in trusty-updates on 2018-03-05
Published in trusty-security on 2018-03-05
twisted (13.2.0-1ubuntu1.2) trusty-security; urgency=medium

  * SECURITY UPDATE: HTTProxy issue
    - debian/patches/CVE-2016-1000111.patch: fix implementation
      in twisted/web/twcgi.py and add some test in
      twisted/web/test/test_cgi.py.
    - CVE-2016-1000111

 -- <email address hidden> (Leonidas S. Barbosa)  Thu, 01 Mar 2018 15:40:36 -0300
Superseded in bionic-release on 2018-04-23
Deleted in bionic-proposed on 2018-04-25 (Reason: moved to release)
Deleted in artful-proposed on 2018-04-25 (Reason: Moved to bionic-proposed)
twisted (17.9.0-1) unstable; urgency=medium

  * New upstream release 17.9.0.
  * Explicitly depend on python-automat/python3-automat (>= 0.6.0).

 -- Matthias Klose <email address hidden>  Tue, 26 Sep 2017 23:25:12 +0200
Superseded in artful-proposed on 2017-09-27
twisted (17.5.0-2ubuntu2) artful; urgency=medium

  * Explicitly depend on python-automat/python3-automat (>= 0.6).

 -- Matthias Klose <email address hidden>  Wed, 20 Sep 2017 08:35:48 +0200

Available diffs

Superseded in artful-proposed on 2017-09-20
twisted (17.5.0-2ubuntu1) artful; urgency=high

  * Drop the first chunk of the 0011-fix-broken-sslverify-tests patch,
    works on Debian only.

 -- Matthias Klose <email address hidden>  Tue, 19 Sep 2017 14:35:22 +0200
Superseded in artful-proposed on 2017-09-19
twisted (17.5.0-2) unstable; urgency=medium

  * Make autopkgtest depend on setuptools

 -- Free Ekanayaka <email address hidden>  Mon, 04 Sep 2017 08:41:29 +0000

Available diffs

Superseded in artful-proposed on 2017-09-07
twisted (17.5.0-1) unstable; urgency=medium

  * New upstream version 17.5.0
  * Drop unused patches
  * Refresh 0002-combinedlog.patch
  * Add new build-dependency on Python hyperlink
  * Drop deprecated portmap.so (see upstream's #8464)
  * Bump build dependency on Python automat (>= 0.6.0)
  * Add patches for failing tests

 -- Free Ekanayaka <email address hidden>  Sun, 27 Aug 2017 09:24:58 +0000
Superseded in bionic-release on 2017-11-18
Published in artful-release on 2017-08-07
Deleted in artful-proposed (Reason: moved to release)
twisted (16.6.0-2ubuntu3) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <email address hidden>  Sat, 05 Aug 2017 21:29:38 +1200

Available diffs

Superseded in artful-release on 2017-08-07
Deleted in artful-proposed on 2017-08-08 (Reason: moved to release)
twisted (16.6.0-2ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <email address hidden>  Tue, 16 May 2017 19:39:04 +1200

Available diffs

Superseded in artful-release on 2017-05-31
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
twisted (16.6.0-2ubuntu1) zesty; urgency=medium

  * Revert debian/patches/0007-openssl-1.1.0.patch:
    - Zesty doesn't have openssl 1.1.0 yet causing breakages in the test suite.

 -- Łukasz 'sil2100' Zemczak <email address hidden>  Mon, 10 Apr 2017 15:16:15 +0100
Superseded in zesty-proposed on 2017-04-10
twisted (16.6.0-2) unstable; urgency=medium

  * Make /usr/share/doc/python-twisted-runner-dbg a
    symlink to the non-dbg docs (Closes: #847233).

 -- Free Ekanayaka <email address hidden>  Sat, 10 Dec 2016 08:16:41 +0000

Available diffs

Superseded in zesty-proposed on 2016-12-10
twisted (16.6.0-1) unstable; urgency=medium

  * New upstream version 16.6.0
  * Use 'python -m twisted.trial' instead of 'trial' to invoke tests
  * Add sort-option-keys patch to fix failing test
  * Fix test writing to stderr

 -- Free Ekanayaka <email address hidden>  Sat, 26 Nov 2016 06:24:48 +0000

Available diffs

Superseded in zesty-proposed on 2016-11-26
twisted (16.5.0-1) unstable; urgency=medium

  * New upstream version 16.5.0
  * Fix multi-arch-related warning
  * Fix paths in patches, since code is now under src/
  * Move python-twisted-runner-dbg to Architecture: all, since
    it's only a transitional empty package
  * Build-Depend on python(3)-constantly and python(3)-incremental
  * Fix test breakages due to the OpenSSL 1.1.0 transition

 -- Free Ekanayaka <email address hidden>  Thu, 10 Nov 2016 09:07:27 +0000

Available diffs

Superseded in zesty-release on 2017-04-10
Deleted in zesty-proposed on 2017-04-12 (Reason: moved to release)
twisted (16.4.1-3) unstable; urgency=medium

  * Bump debhelper compat to 9
  * Fix Closes syntax in changelog
  * Mark python-twisted-core as Multi-Arch: foreign

 -- Free Ekanayaka <email address hidden>  Thu, 27 Oct 2016 17:17:43 +0000

Available diffs

Superseded in zesty-release on 2016-11-04
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
twisted (16.4.1-1) unstable; urgency=medium

  * New upstream (bug fix) release.

 -- Matthias Klose <email address hidden>  Wed, 28 Sep 2016 02:13:13 +0200

Available diffs

Superseded in yakkety-release on 2016-10-06
Deleted in yakkety-proposed on 2016-10-07 (Reason: moved to release)
twisted (16.4.0-2) unstable; urgency=medium

  [ Matthias Klose ]
  * Fix build on x86 targets.
  * Build architecture dependent packages for Python3.

 -- Free Ekanayaka <email address hidden>  Wed, 31 Aug 2016 09:38:30 +0200
Superseded in yakkety-release on 2016-09-03
Deleted in yakkety-proposed on 2016-09-04 (Reason: moved to release)
twisted (16.4.0-1ubuntu1) yakkety; urgency=medium

  * Fix build on x86 targets.
  * Build architecture dependent packages for Python3.

 -- Matthias Klose <email address hidden>  Wed, 31 Aug 2016 09:38:30 +0200
Superseded in yakkety-proposed on 2016-08-31
twisted (16.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix-man-error.diff patch, since the issue has been fixed upstream.
  * Replace setup3.py with setup.py in debian/rules (there's a single file
    now)

 -- Free Ekanayaka <email address hidden>  Tue, 30 Aug 2016 09:53:49 +0000

Available diffs

Superseded in yakkety-proposed on 2016-08-31
twisted (16.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop tap2deb.diff patch, since the script has been removed by
    upstream (see #8326).

 -- Free Ekanayaka <email address hidden>  Sat, 30 Jul 2016 17:24:58 +0000

Available diffs

Superseded in yakkety-release on 2016-09-01
Deleted in yakkety-proposed on 2016-09-02 (Reason: moved to release)
twisted (16.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Free Ekanayaka <email address hidden>  Sat, 21 May 2016 08:18:31 +0000

Available diffs

Superseded in yakkety-release on 2016-05-28
Deleted in yakkety-proposed on 2016-05-30 (Reason: moved to release)
twisted (16.1.1-1) unstable; urgency=medium

  * New upstream release.
  * python3-twisted: Clean plugin cache on removal. Closes: #810692.

 -- Matthias Klose <email address hidden>  Sat, 16 Apr 2016 15:45:15 +0200

Available diffs

Superseded in yakkety-release on 2016-05-14
Published in xenial-release on 2016-03-25
Deleted in xenial-proposed (Reason: moved to release)
twisted (16.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthias Klose <email address hidden>  Fri, 18 Mar 2016 16:55:22 +0100

Available diffs

Superseded in xenial-release on 2016-03-25
Deleted in xenial-proposed on 2016-03-26 (Reason: moved to release)
twisted (16.0.0~pre1-3) experimental; urgency=medium

  * Add twisted.conch.ssh._cryptography_backports for Python3 installations.
    Issue #8220. LP: #1549731.
  * Add twisted.conch._version for Python3 installations. LP: #1549389.

 -- Matthias Klose <email address hidden>  Thu, 25 Feb 2016 17:40:37 +0100
Superseded in xenial-release on 2016-03-11
Deleted in xenial-proposed on 2016-03-12 (Reason: moved to release)
twisted (16.0.0~pre1-2ubuntu1) xenial; urgency=medium

  * Add twisted.conch._version for Python3 installations. LP: #1549389.

 -- Matthias Klose <email address hidden>  Wed, 24 Feb 2016 23:46:18 +0100
Superseded in xenial-release on 2016-02-25
Deleted in xenial-proposed on 2016-02-26 (Reason: moved to release)
twisted (16.0.0~pre1-1ubuntu1) xenial; urgency=medium

  * Non-maintainer upload.
  * Fix issue #8216, add twisted.cred.strcred for Python3 installations.
    LP: #1548972.

 -- Matthias Klose <email address hidden>  Wed, 24 Feb 2016 12:15:53 +0100
Superseded in xenial-release on 2016-02-24
Deleted in xenial-proposed on 2016-02-25 (Reason: moved to release)
twisted (16.0.0~pre1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Matthias Klose <email address hidden>  Tue, 16 Feb 2016 12:08:18 +0100

Available diffs

Superseded in xenial-release on 2016-02-22
Deleted in xenial-proposed on 2016-02-23 (Reason: moved to release)
twisted (15.5.0-4) unstable; urgency=medium

  * Add Breaks, for all python-twisted-* Replaces.

 -- Matthias Klose <email address hidden>  Mon, 14 Dec 2015 14:08:37 +0100
Superseded in xenial-release on 2016-01-07
Deleted in xenial-proposed on 2016-01-08 (Reason: moved to release)
twisted (15.5.0-2ubuntu1) xenial; urgency=medium

  * Build a python3-twisted-core package. Closes: #763149.
  * Move all python-twisted-* manual packages into python-twisted-core.
    Update Breaks/Replaces. Closes: #806167.

 -- Matthias Klose <email address hidden>  Tue, 01 Dec 2015 11:33:20 +0100
Superseded in xenial-release on 2015-12-12
Deleted in xenial-proposed on 2015-12-13 (Reason: moved to release)
twisted (15.5.0-2) unstable; urgency=medium

  * Fix python-twisted-conch version number in Replaces.

 -- Matthias Klose <email address hidden>  Tue, 01 Dec 2015 11:26:47 +0100

Available diffs

Superseded in xenial-release on 2015-12-02
Deleted in xenial-proposed on 2015-12-03 (Reason: moved to release)
twisted (15.5.0-1) unstable; urgency=medium

  * New upstream release. Closes: #806643.
  * Add replaces for upgrades from versions 15.2.x and below.
    Closes: #806167.
  * Add breaks to torbrowser-launcher, python-scrapy and txsocksx.
    Closes: #794367.
  * Merge from Ubuntu:
    - web/client: allow IPv6 addresses. LP: #1505748.

 -- Matthias Klose <email address hidden>  Mon, 30 Nov 2015 12:58:43 +0100
Superseded in xenial-release on 2015-12-01
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
twisted (15.2.1-1ubuntu2) wily; urgency=medium

  * web/client: allow IPv6 addresses.  lp1505748.diff
    LP: #1505748

 -- LaMont Jones <email address hidden>  Wed, 14 Oct 2015 11:00:28 -0600

Available diffs

Superseded in wily-release on 2015-10-15
Deleted in wily-proposed on 2015-10-16 (Reason: moved to release)
twisted (15.2.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.

Superseded in wily-release on 2015-07-30
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2018-01-19 (Reason: moved to release)
twisted (14.0.2-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.
    - python-twisted-core: Depend on python-openssl and python-service-identity.

Superseded in utopic-release on 2014-10-08
Deleted in utopic-proposed on 2014-10-09 (Reason: moved to release)
twisted (14.0.0-2) unstable; urgency=medium


  * python-twisted-core: Depend on python-openssl and python-service-identity.

 -- Matthias Klose <email address hidden>  Wed, 23 Jul 2014 15:39:02 +0200
Superseded in utopic-release on 2014-08-14
Deleted in utopic-proposed on 2014-08-15 (Reason: moved to release)
twisted (14.0.0-1ubuntu2) utopic; urgency=medium

  * python-twisted-core: Depend on python-openssl and python-service-identity.
 -- Matthias Klose <email address hidden>   Mon, 21 Jul 2014 13:39:24 +0200
Superseded in utopic-proposed on 2014-07-21
twisted (14.0.0-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.

Superseded in utopic-release on 2014-08-13
Published in trusty-release on 2014-01-08
Deleted in trusty-proposed (Reason: moved to release)
twisted (13.2.0-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.

Superseded in trusty-release on 2014-01-08
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
twisted (13.0.0-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Keep the preliminary python3 support, but don't enable it.
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash.
    - Use new io_add_watch api on new versions of pygobject.
    - Point html documentation to the generated api docs.

Available diffs

Superseded in saucy-release on 2013-06-20
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
twisted (12.3.0-1ubuntu6) raring; urgency=low

  * Stop building the python3 packages (will be built from a separate
    source until the python3 support is complete).
 -- Matthias Klose <email address hidden>   Thu, 04 Apr 2013 10:14:52 +0200
Superseded in raring-release on 2013-04-05
Deleted in raring-proposed on 2013-04-07 (Reason: moved to release)
twisted (12.3.0-1ubuntu5) raring; urgency=low

  * debian/patches/lp1098127.diff:
    - Use new io_add_watch api on new versions of pygobject. (LP: #1098127)
 -- Rodney Dawes <email address hidden>   Thu, 14 Mar 2013 17:24:59 -0400

Available diffs

Superseded in raring-release on 2013-03-15
Deleted in raring-proposed on 2013-03-16 (Reason: moved to release)
twisted (12.3.0-1ubuntu4) raring; urgency=low

  * debian/patches/lp1102685.diff:
    - Try to use plain pygtkcompat and fall back to gi.pygtkcompat, to
      avoid a DeprecationWarning, and a crash. (LP: #1102685)
 -- Rodney Dawes <email address hidden>   Wed, 23 Jan 2013 12:19:06 -0500
Superseded in raring-release on 2013-01-26
Deleted in raring-proposed on 2013-01-27 (Reason: moved to release)
twisted (12.3.0-1ubuntu3) raring; urgency=low

  * Explicitly call 2to3 to build the py3k source.
 -- Matthias Klose <email address hidden>   Wed, 23 Jan 2013 11:41:25 +0100
Superseded in raring-release on 2013-01-23
Deleted in raring-proposed on 2013-01-24 (Reason: moved to release)
twisted (12.3.0-1ubuntu2) raring; urgency=low

  * Port Py_InitModule* calls to PyModule_Create for python3.
 -- Adam Conrad <email address hidden>   Mon, 21 Jan 2013 13:43:44 -0700
Superseded in raring-proposed on 2013-01-21
twisted (12.3.0-1ubuntu1) raring; urgency=low

  * Build python3 packages.
  * Add '3' as the suffix for the binaries using python3.

Superseded in raring-release on 2013-01-21
Obsolete in quantal-release on 2015-04-24
twisted (12.2.0-1) experimental; urgency=low


  * New upstream version
  * Drop the _epoll.so C extension, as Twisted now supports only
    Python >= 2.6 and there's stdlib support for epoll since 2.6
  * Add sendmsg.so C extension to python-twisted-bin

 -- Free Ekanayaka <email address hidden>  Tue, 11 Sep 2012 10:06:25 +0200
Superseded in quantal-release on 2012-09-12
twisted (12.0.0-1ubuntu1) quantal; urgency=low

  * Merge from Debian.  Remaining Ubuntu changes:
    - debian/patches/00_gi_gtk3reactor.patch: Backport
      gireactor/gtk3reactor and gtk2reactor refactor from svn
      (LP: #571648, LP: #851187)

Available diffs

Superseded in quantal-release on 2012-05-15
Published in precise-release on 2012-03-09
twisted (11.1.0-1ubuntu2) precise; urgency=low

  * debian/patches/01_posix_wakeups.patch:
    - Backport wakeup change from trunk gtk2refactoring (LP: #935756)
 -- Rodney Dawes <email address hidden>   Thu, 08 Mar 2012 11:25:48 -0500
Superseded in precise-release on 2012-03-09
twisted (11.1.0-1ubuntu1) precise; urgency=low

  * debian/patches/00_gi_gtk3reactor.patch:
    - Backport gireactor/gtk3reactor and gtk2reactor refactor from svn
      (LP: #571648, LP: #851187)
 -- Rodney Dawes <email address hidden>   Wed, 15 Feb 2012 21:39:07 -0500

Available diffs

Superseded in precise-release on 2012-02-16
twisted (11.1.0-1) unstable; urgency=low

  * New upstream version.
  * Drop suggestions on python-wxgtk2.6 and python-profiler.
  * Fix lintian warnings.
 -- Matthias Klose <email address hidden>   Thu,  22 Dec 2011 01:40:42 +0000

Available diffs

Superseded in precise-release on 2011-12-22
Obsolete in oneiric-release on 2015-04-24
twisted (11.0.0-2) unstable; urgency=low

  * python-twisted depends on version >= 11.0 of other packages.

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
twisted (10.2.0-1) unstable; urgency=low

  * New upstream version.
 -- Matthias Klose <email address hidden>   Thu,  24 Feb 2011 11:49:19 +0000

Available diffs

Superseded in natty-release on 2011-02-24
twisted (10.1.0-3build2) natty; urgency=low

  * No-change rebuild to prefer python2.7.
 -- Martin Pitt <email address hidden>   Wed, 22 Dec 2010 09:35:54 +0100

Available diffs

Superseded in natty-release on 2010-12-22
twisted (10.1.0-3build1) natty; urgency=low

  * Rebuild to add support for python 2.7.
 -- Matthias Klose <email address hidden>   Fri, 03 Dec 2010 00:15:29 +0000

Available diffs

Superseded in natty-release on 2010-12-03
twisted (10.1.0-3) unstable; urgency=low

  * Tighten build dependency to build with a fixed dh_python2. Closes: #592410.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 10:04:12 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
twisted (10.1.0-2) unstable; urgency=low

  * Remove all plugin cache files before rebuilding the cache files
    for the installed python versions.
  * python-twisted: Depend on the 10.1 versions of the twisted packages.
  * Remove the plugin cache files when package is removed, not only if
    it is purged.

Available diffs

Superseded in maverick-release on 2010-07-27
twisted (10.0.0-3ubuntu1) maverick; urgency=low

  * Merge with debian,remaining change
    - Remove all cache files, then rebuild for the installed python versions

Available diffs

Superseded in maverick-release on 2010-05-26
Obsolete in lucid-release on 2016-10-26
twisted (10.0.0-2ubuntu2) lucid; urgency=low

  * Remove all plugin cache files before rebuilding the cahce files
    for the installed python versions. LP: #558443.
 -- Matthias Klose <email address hidden>   Wed, 14 Apr 2010 18:34:11 +0200

Available diffs

Superseded in lucid-release on 2010-04-14
twisted (10.0.0-2ubuntu1) lucid; urgency=low

  * Add a trigger `twisted-plugins-cache' to rebuild the plugins cache.
 -- Matthias Klose <email address hidden>   Tue, 30 Mar 2010 17:55:15 +0200

Available diffs

Superseded in lucid-release on 2010-03-30
twisted (10.0.0-2) unstable; urgency=low

  * Include changes from 9.0.0-2 which got skipped
  * python-twisted depends on version >= 10.0 of other packages

Available diffs

Superseded in lucid-release on 2010-03-26
twisted (9.0.0-1) unstable; urgency=low

  * python-twisted: Depend on the python-twisted-* 9.0 packages.
  * python-twisted: Depend on python-zope.interface only. Closes: #557781.

Available diffs

Superseded in lucid-release on 2010-01-04
Obsolete in karmic-release on 2013-03-04
twisted (8.2.0-3) unstable; urgency=low

  * Depend on the standalone python-zope.interface{,-dbg} packages.
    Closes: #543132, #542932.
  * Remove plugins directory on purge. Closes: #527897.
  * Fix some lintian warnings.

 -- Matthias Klose <email address hidden>   Wed,  26 Aug 2009 23:33:36 +0100

Available diffs

Superseded in karmic-release on 2009-08-26
Obsolete in jaunty-release on 2013-02-28
twisted (8.2.0-2) unstable; urgency=low

  * python-twisted-core: Regenerate the plugin cache as the last action
    in the postinst. Closes: #521663. LP: #361865.
  * Avoid md5/sha1 deprecation warnings. LP: #344782.

 -- Glyph Lefkowitz <email address hidden>   Mon,  20 Apr 2009 08:00:30 +0100

Available diffs

175 of 102 results